# About 

This repo contains the sphinx configuration and the wtf theme for sphinx for the generation of the WTF handbook.

this project is an experiment of how to generate html, epub and pdf
from the git repository for the WTF Handbook.
The handbuch sources are included as git submodule.

# sphinx html theme for wtf coop 

the sphinx build uses an adapted sphinx theme for the wtf cooperatives CI.

# How to build

### python based - sphinx

First create a Python 3 virtual environment using the venv module included with Python 3.


1. Create a virtual Python environment: ```python3 -m venv venv```
2. Activate virtual Python environment: ```source venv/bin/activate```
3. install needed packages from ```requirements.txt```: ```pip install -r requirements.txt```

For generating the images from plantuml-sources it needs also [Plantuml](https://plantuml.com/).
For pdf output the latex builder is used, so it needs also an installed latex and pdflatex.

### Running the document generation via make

The top level directory contains a Makefile, 
for generation with all output formats  use

`````
make bundle
`````
